diff --git python-pygeoip/python-pygeoip.spec python-pygeoip/python-pygeoip.spec.tmp
index 051cb0901d..aa2ed284fe 100644
--- python-pygeoip/python-pygeoip.spec
+++ python-pygeoip/python-pygeoip.spec.tmp
@@ -9,7 +9,7 @@
 
 Name:               python-pygeoip
 Version:            0.2.6
-Release:            12%{?dist}
+Release:            13%{?dist}
 Summary:            Pure Python GeoIP API
 Group:              Development/Libraries
 License:            LGPLv3+
@@ -25,54 +25,62 @@ BuildRequires:      GeoIP
 
 # While this doesn't strictly require GeoIP, it only makes sense
 # that you would install it alongside this module.
-Requires:           GeoIP
 
 %if 0%{?with_python3}
 BuildRequires:      python3-devel
 BuildRequires:      python3-nose
 %endif
 
-%description
-Pure Python GeoIP API based on MaxMind's C-based Python API
-but the code itself is ported from the Pure PHP GeoIP API.
-
-Create your GeoIP instance with appropriate access flag. `STANDARD` reads
-data from disk when needed, `MEMORY_CACHE` loads database into memory on
-instantiation and `MMAP_CACHE` loads database into memory using mmap.
-
-    import pygeoip
-    gi = pygeoip.GeoIP('/usr/share/geoip/GeoIP.dat', pygeoip.MEMORY_CACHE)
-
-Country lookup
-
-    >>> gi.country_code_by_name('google.com')
-    'US'
-    >>> gi.country_code_by_addr('64.233.161.99')
-    'US'
-    >>> gi.country_name_by_addr('64.233.161.99')
-    'United States'
+%global _description\
+Pure Python GeoIP API based on MaxMind's C-based Python API\
+but the code itself is ported from the Pure PHP GeoIP API.\
+\
+Create your GeoIP instance with appropriate access flag. `STANDARD` reads\
+data from disk when needed, `MEMORY_CACHE` loads database into memory on\
+instantiation and `MMAP_CACHE` loads database into memory using mmap.\
+\
+    import pygeoip\
+    gi = pygeoip.GeoIP('/usr/share/geoip/GeoIP.dat', pygeoip.MEMORY_CACHE)\
+\
+Country lookup\
+\
+    >>> gi.country_code_by_name('google.com')\
+    'US'\
+    >>> gi.country_code_by_addr('64.233.161.99')\
+    'US'\
+    >>> gi.country_name_by_addr('64.233.161.99')\
+    'United States'\
+\
+City lookup\
+\
+    >>> gi = pygeoip.GeoIP('/usr/share/geoip/GeoLiteCity.dat')\
+    >>> gi.record_by_addr('64.233.161.99')\
+    {\
+        'city': 'Mountain View',\
+        'region_name': 'CA',\
+        'area_code': 650,\
+        'longitude': -122.0574,\
+        'country_code3': 'USA',\
+        'latitude': 37.419199999999989,\
+        'postal_code': '94043',\
+        'dma_code': 807,\
+        'country_code': 'US',\
+        'country_name': 'United States'\
+    }\
+    >>> gi.time_zone_by_addr('64.233.161.99')\
+    'America/Los_Angeles'\
+\
+For more information, check out the full API documentation at\
+http://packages.python.org/pygeoip.
 
-City lookup
+%description %_description
 
-    >>> gi = pygeoip.GeoIP('/usr/share/geoip/GeoLiteCity.dat')
-    >>> gi.record_by_addr('64.233.161.99')
-    {
-        'city': 'Mountain View',
-        'region_name': 'CA',
-        'area_code': 650,
-        'longitude': -122.0574,
-        'country_code3': 'USA',
-        'latitude': 37.419199999999989,
-        'postal_code': '94043',
-        'dma_code': 807,
-        'country_code': 'US',
-        'country_name': 'United States'
-    }
-    >>> gi.time_zone_by_addr('64.233.161.99')
-    'America/Los_Angeles'
+%package -n python2-pygeoip
+Summary: %summary
+Requires:           GeoIP
+%{?python_provide:%python_provide python2-pygeoip}
 
-For more information, check out the full API documentation at 
-http://packages.python.org/pygeoip.
+%description -n python2-pygeoip %_description
 
 %if 0%{?with_python3}
 %package -n python3-pygeoip
@@ -163,7 +171,7 @@ popd
 #popd
 #%%endif
 
-%files
+%files -n python2-pygeoip
 %doc README.md COPYING DEVELOPER INSTALL apidocs/
 %{python_sitelib}/%{modname}/
 %{python_sitelib}/%{modname}-%{version}*
@@ -177,6 +185,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.6-13
+- Python 2 subpackage renamed to python2-pygeoip
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pyghmi/python-pyghmi.spec python-pyghmi/python-pyghmi.spec.tmp
index 840a50bfcd..b2d0957361 100644
--- python-pyghmi/python-pyghmi.spec
+++ python-pyghmi/python-pyghmi.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{sname}
 Version:        1.0.12
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Python General Hardware Management Initiative (IPMI and others)
 
 License:        ASL 2.0
@@ -14,11 +14,18 @@ BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-pbr
 
-Requires:       python-crypto >= 2.6
+%global _description\
+This is a pure python implementation of the IPMI protocol.\
+
 
-%description
-This is a pure python implementation of the IPMI protocol.
+%description %_description
 
+%package -n python2-%{sname}
+Summary: %summary
+Requires:       python-crypto >= 2.6
+%{?python_provide:%python_provide python2-%{sname}}
+
+%description -n python2-%{sname} %_description
 
 %prep
 %setup -q -n %{sname}-%{version}
@@ -39,7 +46,7 @@ rm -rf {test-,}requirements.txt
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-%{sname}
 %doc README LICENSE
 %{python2_sitelib}/pyghmi
 %{python2_sitelib}/*.egg-info
@@ -49,6 +56,10 @@ rm -rf {test-,}requirements.txt
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.12-4
+- Python 2 subpackage renamed to python2-pyghmi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.12-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-PyGithub/python-PyGithub.spec python-PyGithub/python-PyGithub.spec.tmp
index 4efd8f4d86..30239144b5 100644
--- python-PyGithub/python-PyGithub.spec
+++ python-PyGithub/python-PyGithub.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-%{pypi_name}
 Version:        1.29
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Python library to work with the Github API
 
 Group:          Development/Languages
@@ -15,17 +15,24 @@ BuildArch:      noarch
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 
-Obsoletes:      python-github < 1.11.1-4
-Provides:       python-github
-
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif # if with_python3
 
-%description
+%global _description\
 A Python library implementing the full Github API v3.
 
+%description %_description
+
+%package -n python2-pygithub
+Summary: %summary
+Provides:       python-github
+Obsoletes:      python-github < 1.11.1-4
+%{?python_provide:%python_provide python2-pygithub}
+
+%description -n python2-pygithub %_description
+
 %if 0%{?with_python3}
 %package -n     python3-PyGithub
 Summary:        Python library to work with the Github API
@@ -76,7 +83,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-pygithub
 %{license} COPYING COPYING.LESSER
 %doc README.md
 %{python_sitelib}/*
@@ -91,6 +98,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.29-5
+- Python 2 subpackage renamed to python2-pygithub
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.29-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pykalman/python-pykalman.spec python-pykalman/python-pykalman.spec.tmp
index 758b8c9e9f..394fdf14ed 100644
--- python-pykalman/python-pykalman.spec
+++ python-pykalman/python-pykalman.spec.tmp
@@ -9,8 +9,7 @@
 
 Name:           python-%{module_name}
 Version:        0.9.5
-Release:        13.20140827git%{shortcommit}%{?dist}
-Provides:       python2-%{module_name}
+Release:        14.20140827git%{shortcommit}%{?dist}
 
 Summary:        Kalman Filter, Smoother, and EM algorithm
 
@@ -24,7 +23,6 @@ Source0:        https://github.com/%{module_name}/%{module_name}/archive/%{commi
 BuildArch:      noarch
 BuildRequires:  python2-devel python-nose numpy scipy
 BuildRequires:  python-numpydoc python-sphinx 
-Requires:       scipy
 
 %if 0%{?with_python3}
 BuildRequires:  python3-devel python3-nose python3-numpy
@@ -35,12 +33,22 @@ BuildRequires:  python3-scipy
 #BuildRequires:  python3-numpydoc python3-sphinx
 %endif
 
-%description
-This module implements two algorithms for tracking: the Kalman Filter and
-Kalman Smoother. In addition, model parameters which are traditionally
-specified by hand can also be learned by the implemented EM algorithm without
+%global _description\
+This module implements two algorithms for tracking: the Kalman Filter and\
+Kalman Smoother. In addition, model parameters which are traditionally\
+specified by hand can also be learned by the implemented EM algorithm without\
 any labeled training data.
 
+%description %_description
+
+%package -n python2-%{module_name}
+Summary: %summary
+Requires:       scipy
+Provides:       python2-%{module_name}
+%{?python_provide:%python_provide python2-%{module_name}}
+
+%description -n python2-%{module_name} %_description
+
 %package doc
 Summary:    Documentation for %{name}
 
@@ -122,7 +130,7 @@ popd
 #popd
 #%endif # with_python3
  
-%files
+%files -n python2-%{module_name}
 %doc COPYING
 %{python_sitelib}/%{module_name}/
 %{python_sitelib}/%{module_name}-%{version}-py?.?.egg-info
@@ -142,6 +150,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.5-14.20140827git2aeb4ad
+- Python 2 subpackage renamed to python2-pykalman
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-13.20140827git2aeb4ad
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pylcdsysinfo/python-pylcdsysinfo.spec python-pylcdsysinfo/python-pylcdsysinfo.spec.tmp
index ae978a3ea9..8c157db44b 100644
--- python-pylcdsysinfo/python-pylcdsysinfo.spec
+++ python-pylcdsysinfo/python-pylcdsysinfo.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:     python-%{realname}
 Version:  0
-Release:  0.18.20131014git%{?dist}
+Release:  0.19.20131014git%{?dist}
 Summary:  Python interface to Coldtears Electronics LCD Sys Info device
 
 Group:    Development/Libraries
@@ -21,12 +21,20 @@ BuildRequires: systemd
 BuildRequires: python-setuptools
 
 BuildArch: noarch
-Requires: pyusb
 
-%description
-LCD Sys Info is an USB LCD gadget which display system and environmental 
+%global _description\
+LCD Sys Info is an USB LCD gadget which display system and environmental\
 information or pictures from your computer.
 
+%description %_description
+
+%package -n python2-%{realname}
+Summary: %summary
+Requires: pyusb
+%{?python_provide:%python_provide python2-%{realname}}
+
+%description -n python2-%{realname} %_description
+
 %if 0%{?with_python3} >= 1
 %package -n     python3-%{realname}
 Summary:        Python interface to Coldtears Electronics LCD Sys Info device
@@ -65,7 +73,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-%{realname}
 %doc LICENSE.txt
 %doc README.md
 %doc examples
@@ -82,6 +90,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0-0.19.20131014git
+- Python 2 subpackage renamed to python2-pylcdsysinfo
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.18.20131014git
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pylibravatar/python-pylibravatar.spec python-pylibravatar/python-pylibravatar.spec.tmp
index d256696639..ab9b73a127 100644
--- python-pylibravatar/python-pylibravatar.spec
+++ python-pylibravatar/python-pylibravatar.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:               python-pylibravatar
 Version:            1.6
-Release:            12%{?dist}
+Release:            13%{?dist}
 Summary:            Python module for Libravatar
 
 Group:              Development/Libraries
@@ -30,11 +30,18 @@ BuildRequires:      python3-devel
 BuildRequires:      python3-py3dns
 %endif
 
+%global _description\
+PyLibravatar is an easy way to make use of the federated Libravatar\
+avatar hosting service from within your Python applications.
+
+%description %_description
+
+%package -n python2-pylibravatar
+Summary: %summary
 Requires:           python-pydns
+%{?python_provide:%python_provide python2-pylibravatar}
 
-%description
-PyLibravatar is an easy way to make use of the federated Libravatar
-avatar hosting service from within your Python applications.
+%description -n python2-pylibravatar %_description
 
 %if 0%{?with_python3}
 %package -n python3-pylibravatar
@@ -80,7 +87,7 @@ popd
 %endif
 %{__python} setup.py install -O1 --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-pylibravatar
 # Upstream doesn't ship the license full text
 # https://bugs.launchpad.net/pylibravatar/+bug/1173603
 %doc README.txt Changelog.txt
@@ -98,6 +105,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.6-13
+- Python 2 subpackage renamed to python2-pylibravatar
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pylons/python-pylons.spec python-pylons/python-pylons.spec.tmp
index be2f76a57b..eb45587443 100644
--- python-pylons/python-pylons.spec
+++ python-pylons/python-pylons.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-pylons
 Version:        1.0.1
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Pylons web framework
 License:        BSD
 URL:            http://www.pylonsproject.org
@@ -17,37 +17,45 @@ BuildRequires:  python-nose python-mako python-webob python-weberror
 BuildRequires:  python-tempita python-webtest python-turbocheetah
 BuildRequires:  python-turbokid python-myghty python-genshi python-jinja2
 BuildRequires:  python-coverage
-Requires:       python-routes >= 1.12.3
-Requires:       python-webhelpers >= 0.6.4
 # Some versions of Beaker caused FTBFS bug 511511
-Requires:       python-beaker >= 1.5.4-1
-Requires:       python-paste >= 1.7.5.1
-Requires:       python-paste-script >= 1.7.4.2
-Requires:       python-paste-deploy >= 1.5.0
-Requires:       python-formencode >= 1.2.4
-Requires:       python-simplejson >= 2.2.4
-Requires:       python-decorator >= 3.3.2
-Requires:       python-nose >= 1.1.2
-Requires:       python-mako >= 0.5.0
-Requires:       python-webob >= 1.1.1
-Requires:       python-weberror >= 0.10.3
-Requires:       python-webtest >= 1.3.1
-Requires:       python-tempita >= 0.5.1
-Requires:       python-markupsafe >= 0.15
 # TurboGears hooks pylons (if present) and barfs w/o myghty (Bug 497244)
-Requires:       python-myghty >= 1.1
 BuildArch:      noarch
 
-%description
-The Pylons web framework is aimed at making webapps and large programmatic
-website development in Python easy. Several key points:
-
-* A framework to make writing web applications in Python easy
-* Inspired by Rails and TurboGears
-* Utilizes a minimalist, component-based philosophy that makes it easy to
-  expand on
+%global _description\
+The Pylons web framework is aimed at making webapps and large programmatic\
+website development in Python easy. Several key points:\
+\
+* A framework to make writing web applications in Python easy\
+* Inspired by Rails and TurboGears\
+* Utilizes a minimalist, component-based philosophy that makes it easy to\
+  expand on\
 * Harness existing knowledge about Python
 
+%description %_description
+
+%package -n python2-pylons
+Summary: %summary
+Requires:       python-myghty >= 1.1
+Requires:       python-markupsafe >= 0.15
+Requires:       python-tempita >= 0.5.1
+Requires:       python-webtest >= 1.3.1
+Requires:       python-weberror >= 0.10.3
+Requires:       python-webob >= 1.1.1
+Requires:       python-mako >= 0.5.0
+Requires:       python-nose >= 1.1.2
+Requires:       python-decorator >= 3.3.2
+Requires:       python-simplejson >= 2.2.4
+Requires:       python-formencode >= 1.2.4
+Requires:       python-paste-deploy >= 1.5.0
+Requires:       python-paste-script >= 1.7.4.2
+Requires:       python-paste >= 1.7.5.1
+Requires:       python-beaker >= 1.5.4-1
+Requires:       python-webhelpers >= 0.6.4
+Requires:       python-routes >= 1.12.3
+%{?python_provide:%python_provide python2-pylons}
+
+%description -n python2-pylons %_description
+
 %prep
 %setup -qn Pylons-%{version}
 %patch0 -p1
@@ -62,13 +70,17 @@ sed -i -e 's|/usr/bin/env python|%{__python}|g' *.py
 %check
 PYTHONPATH=$(pwd) nosetests
 
-%files
+%files -n python2-pylons
 %doc CHANGELOG LICENSE README.txt
 %{python_sitelib}/pylons
 %{python_sitelib}/Pylons-%{version}-py%{python_version}.egg-info
 %{python_sitelib}/test_files
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-9
+- Python 2 subpackage renamed to python2-pylons
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pymemcache/python-pymemcache.spec python-pymemcache/python-pymemcache.spec.tmp
index fac8051177..f5b7bbb292 100644
--- python-pymemcache/python-pymemcache.spec
+++ python-pymemcache/python-pymemcache.spec.tmp
@@ -13,7 +13,7 @@
 
 Name:           python-%{pypi_name}
 Version:        1.2.5
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        A comprehensive, fast, pure Python memcached client
 
 License:        ASL 2.0
@@ -25,18 +25,26 @@ BuildRequires:  python2-devel
 BuildRequires:  python-nose >= 1.0
 BuildRequires:  python-setuptools
 BuildRequires:  python-six
-Requires:       python-six
-
-%description
-pymemcache supports the following features:
 
-* Complete implementation of the memcached text protocol.
-* Configurable timeouts for socket connect and send/recv calls.
-* Access to the "noreply" flag, which can significantly increase the speed of
-  writes.
-* Flexible, simple approach to serialization and deserialization.
+%global _description\
+pymemcache supports the following features:\
+\
+* Complete implementation of the memcached text protocol.\
+* Configurable timeouts for socket connect and send/recv calls.\
+* Access to the "noreply" flag, which can significantly increase the speed of\
+  writes.\
+* Flexible, simple approach to serialization and deserialization.\
 * The (optional) ability to treat network and memcached errors as cache misses.
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+Requires:       python-six
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
 Summary:        A comprehensive, fast, pure Python memcached client
@@ -97,7 +105,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-%{pypi_name}
 %doc README.md LICENSE.txt
 %{python2_sitelib}/%{pypi_name}
 %{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
@@ -110,6 +118,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.5-10
+- Python 2 subpackage renamed to python2-pymemcache
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.5-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pymilter/python-pymilter.spec python-pymilter/python-pymilter.spec.tmp
index fd268a4aa9..66bd3ab92d 100644
--- python-pymilter/python-pymilter.spec
+++ python-pymilter/python-pymilter.spec.tmp
@@ -4,24 +4,32 @@
 Summary: Python interface to sendmail milter API
 Name: python-pymilter
 Version: 1.0
-Release: 6%{?dist}
+Release: 7%{?dist}
 Source: http://downloads.sourceforge.net/pymilter/pymilter-%{version}.tar.gz
 Source1: tmpfiles-python-pymilter.conf
 License: GPLv2+
 Group: Development/Libraries
 Url: http://www.bmsi.com/python/milter.html
 # python-2.6.4 gets RuntimeError: not holding the import lock
-Requires: python >= 2.6.5
 # Need python2.6 specific pydns, not the version for system python
-Requires: python-pydns
 BuildRequires: python2-devel, sendmail-devel >= 8.13
 
-%description
-This is a python extension module to enable python scripts to
-attach to sendmail's libmilter functionality.  Additional python
-modules provide for navigating and modifying MIME parts, sending
+%global _description\
+This is a python extension module to enable python scripts to\
+attach to sendmail's libmilter functionality.  Additional python\
+modules provide for navigating and modifying MIME parts, sending\
 DSNs, and doing CBV.
 
+%description %_description
+
+%package -n python2-pymilter
+Summary: %summary
+Requires: python-pydns
+Requires: python >= 2.6.5
+%{?python_provide:%python_provide python2-pymilter}
+
+%description -n python2-pymilter %_description
+
 %prep
 %setup -q -n pymilter-%{version}
 
@@ -37,7 +45,7 @@ mkdir -p %{buildroot}%{_prefix}/lib/tmpfiles.d
 install -m 0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/tmpfiles.d/%{name}.conf
 
 
-%files
+%files -n python2-pymilter
 %doc README COPYING ChangeLog NEWS TODO CREDITS sample.py milter-template.py
 %{python_sitearch}/*
 %{_libdir}/pymilter
@@ -46,6 +54,10 @@ install -m 0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/tmpfiles.d/%{name}.conf
 %{_prefix}/lib/tmpfiles.d/%{name}.conf
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-7
+- Python 2 subpackage renamed to python2-pymilter
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pymtp/python-pymtp.spec python-pymtp/python-pymtp.spec.tmp
index 42f1fdc7f6..54b41f784f 100644
--- python-pymtp/python-pymtp.spec
+++ python-pymtp/python-pymtp.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-pymtp
 Version:        0.0.6
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        A Pythonic wrapper around libmtp
 
 Group:          Development/Libraries
@@ -21,12 +21,20 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 %endif
 
 BuildRequires:  python-devel
-Requires:       %{libmtp}%{?mark64}
 
-%description
-A Pythonic wrapper around libmtp, allowing python applications to communicate
+%global _description\
+A Pythonic wrapper around libmtp, allowing python applications to communicate\
 with MTP devices.
 
+%description %_description
+
+%package -n python2-pymtp
+Summary: %summary
+Requires:       %{libmtp}%{?mark64}
+%{?python_provide:%python_provide python2-pymtp}
+
+%description -n python2-pymtp %_description
+
 %prep
 %setup -q -n %{module}-%{version}
 # Examples are documentation, remove executable permission
@@ -48,13 +56,17 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-pymtp
 %defattr(-,root,root,-)
 %doc README COPYING examples
 %{python_sitearch}/pymtp.*
 %{python_sitearch}/*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.6-10
+- Python 2 subpackage renamed to python2-pymtp
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pyphen/python-pyphen.spec python-pyphen/python-pyphen.spec.tmp
index e0c609c242..c839ab58db 100644
--- python-pyphen/python-pyphen.spec
+++ python-pyphen/python-pyphen.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-pyphen
 Version:        0.9.1
-Release:        9%{?dist}
+Release:        10%{?dist}
 Group:          Development/Libraries
 Summary:        Pure Python module to hyphenate text
 License:        LGPLv2+
@@ -25,10 +25,18 @@ BuildRequires:  python3-devel python3-setuptools
 # packs, but if not, they can be installed separately.
 Patch0:         pyphen-0.9.1-shared-dicts.patch
 
-%description
-Pyphen is a pure Python module to hyphenate text using existing
+%global _description\
+Pyphen is a pure Python module to hyphenate text using existing\
 hyphenation dictionaries, e.g., from Libreoffice language packs.
 
+%description %_description
+
+%package -n python2-pyphen
+Summary: %summary
+%{?python_provide:%python_provide python2-pyphen}
+
+%description -n python2-pyphen %_description
+
 %if 0%{?with_python3}
 %package -n python3-pyphen
 Summary:        Pure Python module to hyphenate text
@@ -70,7 +78,7 @@ pushd %{py3dir}
 popd
 %endif # with_python3
 
-%files
+%files -n python2-pyphen
 %doc COPYING README
 %{python_sitelib}/*
 
@@ -81,6 +89,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.1-10
+- Python 2 subpackage renamed to python2-pyphen
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pypng/python-pypng.spec python-pypng/python-pypng.spec.tmp
index 53a0568439..51b78c13ff 100644
--- python-pypng/python-pypng.spec
+++ python-pypng/python-pypng.spec.tmp
@@ -12,7 +12,7 @@
 
 Name:               python-pypng
 Version:            0.0.18
-Release:            7%{?dist}
+Release:            8%{?dist}
 Summary:            Pure Python PNG image encoder/decoder
 
 Group:              Development/Libraries
@@ -31,12 +31,20 @@ BuildRequires:      python3-nose
 BuildRequires:      python-tools
 %endif
 
-%description
-PyPNG allows PNG image files to be read and written using pure Python.
+%global _description\
+PyPNG allows PNG image files to be read and written using pure Python.\
+\
+It's available from github.com https://github.com/drj11/pypng\
+\
+Documentation is kindly hosted by PyPI http://pythonhosted.org/pypng/
 
-It's available from github.com https://github.com/drj11/pypng
+%description %_description
 
-Documentation is kindly hosted by PyPI http://pythonhosted.org/pypng/
+%package -n python2-pypng
+Summary: %summary
+%{?python_provide:%python_provide python2-pypng}
+
+%description -n python2-pypng %_description
 
 %if 0%{?with_python3}
 %package -n python3-pypng
@@ -93,7 +101,7 @@ nosetests-%{python3_version} code/png.py
 popd
 %endif
 
-%files
+%files -n python2-pypng
 %doc README.txt LICENCE
 %{python2_sitelib}/png.py*
 %{python2_sitelib}/%{modname}-%{version}*
@@ -107,6 +115,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.18-8
+- Python 2 subpackage renamed to python2-pypng
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.18-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pypump/python-pypump.spec python-pypump/python-pypump.spec.tmp
index c03ca5abe4..6e976117c5 100644
--- python-pypump/python-pypump.spec
+++ python-pypump/python-pypump.spec.tmp
@@ -14,7 +14,7 @@
 
 Name:               python-pypump
 Version:            0.6
-Release:            8%{?dist}
+Release:            9%{?dist}
 Summary:            Python Pump.io library
 
 Group:              Development/Libraries
@@ -32,10 +32,6 @@ BuildRequires:      python-requests-oauthlib
 BuildRequires:      python-dateutil
 BuildRequires:      python-sphinx
 
-Requires:           python-requests
-Requires:           python-requests-oauthlib
-Requires:           python-dateutil
-
 
 %if 0%{?with_python3}
 BuildRequires:      python3-devel
@@ -45,15 +41,26 @@ BuildRequires:      python3-requests-oauthlib
 BuildRequires:      python3-dateutil
 %endif
 
-%description
-Pump.io is a socially oriented federated network. It provides a way to post
-notes and images as well and subscribe to other people to get updates on
-what they post.
-
-PyPump provides an interface to the pump.io API's. The aim is to provide
-very natural pythonic representations of Notes, Images, People, etc...
+%global _description\
+Pump.io is a socially oriented federated network. It provides a way to post\
+notes and images as well and subscribe to other people to get updates on\
+what they post.\
+\
+PyPump provides an interface to the pump.io API's. The aim is to provide\
+very natural pythonic representations of Notes, Images, People, etc...\
 allowing you to painlessly interact with them.
 
+%description %_description
+
+%package -n python2-pypump
+Summary: %summary
+Requires:           python-dateutil
+Requires:           python-requests-oauthlib
+Requires:           python-requests
+%{?python_provide:%python_provide python2-pypump}
+
+%description -n python2-pypump %_description
+
 %if 0%{?with_python3}
 %package -n python3-pypump
 Summary:            Python Pump.io library
@@ -111,7 +118,7 @@ popd
 %endif
 %{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-pypump
 %doc README.rst COPYING AUTHORS.md docs/ docs-html/
 %{_bindir}/pypump-shell
 %{python2_sitelib}/%{modname}/
@@ -126,6 +133,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6-9
+- Python 2 subpackage renamed to python2-pypump
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
